Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.api
Interface MessageDispatcher

All Known Implementing Classes:
  Checker

    public interface MessageDispatcher

Used by FileSetChecks to distribute AuditEvents to AuditListeners.

Author:
  lkuehne

Method Summary
`void` | `fireErrors(String aFileName, LocalizedMessage[] aErrors)` Notify all listeners about the errors in a file.
`void` | `fireFileFinished(String aFileName)` Notify all listeners about the end of a file audit.
`void` | `fireFileStarted(String aFileName)` Notify all listeners about the beginning of a file audit.

Method Detail

### fireFileStarted

    void fireFileStarted(String aFileName)

  Notify all listeners about the beginning of a file audit.

  Parameters:
    `aFileName` - the file to be audited

### fireFileFinished

    void fireFileFinished(String aFileName)

  Notify all listeners about the end of a file audit.

  Parameters:
    `aFileName` - the audited file

### fireErrors

    void fireErrors(String aFileName,
                    LocalizedMessage[] aErrors)

  Notify all listeners about the errors in a file.

  Parameters:
    `aFileName` - the audited file
    `aErrors` - the audit errors from the file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD